
// Der Pin auf dem der Datenpin des 433MHz 
// Senders angeschlossen ist.
short rc_pin=13; 

void setup() {
  // put your setup code here, to run once:
  
}

void loop() {
  // put your main code here, to run repeatedly:

}


boolean sendCode(char code[]) { //empfange den Code in Form eines Char[]
  for(short z = 0; z<7; z++) { //wiederhole den Code 7x
    for(short i = 0; i<12; i++) { //ein Code besteht aus 12bits
      sendByte(code[i]);
    }
  sendByte('x'); //da der code immer mit x/sync abschliesst, brauchen wir den nicht im code und haengen es autisch immer hinten ran.
  }
  return true;
}

// Diese Funktion soll 0,1 oder x senden koennen. 
// Die gewuenschte Ausgabe wird als Argument an die 
// Funktion uebergeben:
// 
//  sendByte(0); // sendet 0
//  sendByte(1); // sendet 1
//  sendByte(x); // sendet x als "Trennsignal"
//  
// Die Funktion hat einen leeren (void) Rueckgabewert
// In der Funktion wird die "Unterfunktion" wait 
// aufgerufen, die jeweils die uebergebene Anzahl 
// an 350 Mikrosekunden Intervallen wartet.
void sendByte(char i) { 
 
  switch(i){
    // Wenn i=0 ist, wird der Code fuer '0' gesendet
    case '0':{ 
      digitalWrite(rc_pin,HIGH);
      wait(1); //da die Pausen x*350us lang sind, machen wir daraus eine Funktion
      digitalWrite(rc_pin,LOW);
      wait(3);
      digitalWrite(rc_pin,HIGH);
      wait(3);
      digitalWrite(rc_pin,LOW);
      wait(1);
      return;
    }
    // Wenn i=1 ist, wird der Code fuer '1' gesendet
    case '1':{ //Der Code fuer '1'
      digitalWrite(rc_pin,HIGH);
      wait(1);
      digitalWrite(rc_pin,LOW);
      wait(3);
      digitalWrite(rc_pin,HIGH);
      wait(1);
      digitalWrite(rc_pin,LOW);
      wait(3);
      return;
    }
    // Wenn i=x ist, wird der Code fuer '1' gesendet
    case 'x':{ //Der Code fuer x(sync)
      digitalWrite(rc_pin,HIGH);
      wait(1);
      digitalWrite(rc_pin,LOW);
      wait(31);
    }

  }
}

void wait(int x) {
  //warte x*350 Mikrosekunden
  delayMicroseconds(x*350); 
}
